Connections
Poll OAuth connection status
GET
/
connections
/
connect
/
{platform}
/
status
/
{stateToken}
Poll OAuth connection status
curl --request GET \
--url https://tibbie.co/api/v1/connections/connect/{platform}/status/{stateToken} \
--header 'Authorization: Bearer <token>'import requests
url = "https://tibbie.co/api/v1/connections/connect/{platform}/status/{stateToken}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://tibbie.co/api/v1/connections/connect/{platform}/status/{stateToken}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://tibbie.co/api/v1/connections/connect/{platform}/status/{stateToken}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"status": "pending",
"expires_in": 123
}{
"message": "<string>"
}{
"error": "not_found",
"error_description": "Connection request not found."
}{
"error": "expired",
"error_description": "This connection request has expired. Please initiate a new one."
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Last modified on February 21, 2026
Was this page helpful?
⌘I
Poll OAuth connection status
curl --request GET \
--url https://tibbie.co/api/v1/connections/connect/{platform}/status/{stateToken} \
--header 'Authorization: Bearer <token>'import requests
url = "https://tibbie.co/api/v1/connections/connect/{platform}/status/{stateToken}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://tibbie.co/api/v1/connections/connect/{platform}/status/{stateToken}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://tibbie.co/api/v1/connections/connect/{platform}/status/{stateToken}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"status": "pending",
"expires_in": 123
}{
"message": "<string>"
}{
"error": "not_found",
"error_description": "Connection request not found."
}{
"error": "expired",
"error_description": "This connection request has expired. Please initiate a new one."
}